When you upgrade, migrate, or update to vCenter Server 5.0 or 5.0.1, make sure that the upgraded version supports your database.

vCenter Server Upgrade, Migration, or Update Scenarios for Each Database Type lists the database types that you can use with vCenter Server 5.0 or 5.0.1. The purpose of this list is to describe the vCenter Server Upgrade scenarios for each database type. For a list of supported database versions, See the VMware Product Interoperability Matrix at http://www.vmware.com/resources/compatibility/sim/interop_matrix.php.

vCenter Server Upgrade, Migration, or Update Scenarios for Each Database Type

Database Type

Supported in vCenter Server 5.0.x

Supported Upgrade, Migration, or Update

IBM DB2 9.5

Yes

You can upgrade to vCenter Server 5.0.x from vCenter Server 4.0 Update 1, vCenter Server 4.0 Update 2, vCenter Server 4.1, and update to vCenter Server 5.0.x from vCenter Server 5.0.

You cannot upgrade from vCenter Server 4.0 because vCenter Server 4.0 Update 1 is the first release that supports IBM DB2 database servers.

IBM DB2 9.7

Yes

You can upgrade to vCenter Server 5.0.x from vCenter Server 4.0 Update 3, vCenter Server 4.1 Update 1, and update to vCenter Server 5.0.x from vCenter Server 5.0.

Experimental MSDE database

No

After you upgrade to a database server that is supported by vCenter Server, you can install or upgrade to vCenter Server 5.0.x.

MS SQL Server 2000

No

After you upgrade to a database server that is supported by vCenter Server, you can install, upgrade, or update to vCenter Server.

MS SQL Server 2005 Express

No

After you upgrade to a database server that is supported by vCenter Server, you can install, upgrade, or update to vCenter Server.

MS SQL Server 2005

Yes

You can install, upgrade, or update to vCenter Server.

MS SQL Server 2008 Express

Yes.

You can perform a fresh installation of vCenter Server 5.0 or update to vCenter Server 5.0.x.

You cannot upgrade from vCenter Server versions earlier than 5.0 because vCenter Server 5.0 is the first release that supports Microsoft SQL Server 2008 Express.

MS SQL Server 2008

Yes

You can install, upgrade, or update to vCenter Server 5.0.x.

Oracle 9i

No

After you upgrade to a database server that is supported by vCenter Server, you can install, upgrade, or update to vCenter Server 5.0.x.

Oracle 10g

Yes

You can install, upgrade, or update to vCenter Server 5.0.x.

Oracle 11g

Yes

You can install, upgrade, or update to vCenter Server 5.0.x.